plugins {
    id 'com.android.application'
    id 'kotlin-android'
}

android {
    compileSdkVersion 30

    defaultConfig {
        applicationId "com.dskj.daikuan"
        minSdkVersion 23
        targetSdkVersion 30
        versionCode 127
        versionName "1.2.7"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
//        configurations.all {
//            resolutionStrategy { force 'androidx.core:core-ktx:1.6.0' }
//        }
        ndk {
            abiFilters  "arm64-v8a"//,"armeabi-v7a", "x86", "x86_64"
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        debug {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    useLibrary 'org.apache.http.legacy'
    //启用DataBinding
    buildFeatures{
        dataBinding = true
        // for view binding :
        // viewBinding = true
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }


    signingConfigs {
        debug {
            storeFile file('videomark.jks')
            storePassword "123456"
            keyAlias 'videomark'
            keyPassword "123456"
            v1SigningEnabled true
            v2SigningEnabled true
        }
        release {
            storeFile file('videomark.jks')
            storePassword "123456"
            keyAlias 'videomark'
            keyPassword "123456"
            v1SigningEnabled true
            v2SigningEnabled true

        }
    }
    lintOptions {
        checkReleaseBuilds false
        abortOnError false
    }
}

configurations.all{
    resolutionStrategy{
        force 'androidx.core:core:1.6.0'
    }
}

dependencies {
    implementation 'com.github.tbruyelle:rxpermissions:0.10.2'

    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.google.android.material:material:1.3.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    testImplementation "junit:junit:4.13.1"
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    //viewmode需要引入的依赖 livedate 之类的就依赖他了
    implementation 'androidx.lifecycle:lifecycle-extensions:2.0.0'

    implementation project(path: ':basicLib')
    implementation "androidx.fragment:fragment-ktx:1.4.0"
    implementation "androidx.core:core-ktx:1.3.2"
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation 'io.reactivex:rxjava:1.3.0'
    implementation 'io.reactivex:rxandroid:1.2.1'
    // okhttp 3
    implementation 'com.squareup.okhttp3:okhttp:3.10.0'
    implementation 'com.squareup.okhttp3:logging-interceptor:3.10.0'

    implementation 'com.github.Hitomis:transferee:1.6.1'
    // 添加 Glide 图片加载器
    implementation 'com.github.Hitomis.transferee:GlideImageLoader:1.6.1'
    implementation 'com.gyf.immersionbar:immersionbar:2.3.3'

    implementation project(path: ':matisse')


    //以下3个 下拉刷新和加载更多依赖
    implementation 'com.scwang.smart:refresh-layout-kernel:2.0.1'
    //核心必须依赖
    implementation 'com.scwang.smart:refresh-header-classics:2.0.1'
    //经典刷新头
    implementation 'com.scwang.smart:refresh-footer-classics:2.0.1'
    implementation  'com.scwang.smart:refresh-footer-ball:2.0.1'
    implementation 'com.github.cazaea:sweet-alert-dialog:1.0.0'
    implementation 'com.tencent.bugly:crashreport:4.0.4'

}